Bug 1960152 - Manilacsi becomes degraded even though it is not available with the underlying Openstack [NEEDINFO]
Summary: Manilacsi becomes degraded even though it is not available with the underlyin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.9.0
Assignee: egarcia
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks: 1987020
TreeView+ depends on / blocked
 
Reported: 2021-05-13 07:54 UTC by Ilan Green
Modified: 2021-10-18 17:31 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Manila CSI operator uses a custom transport when communicating with a OpenStack endpoint that uses self-signed certificate. However this custom transport didn't consume the proxy environment variables. Consequence: the combination of custom CA and proxy caused the manila operator to fail to communicate to Manila. Fix: have the transport honor the proxy settings Result: it is now possible to use Manila with proxy and custom CA.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:31:04 UTC
Target Upstream Version:
pkhaire: needinfo? (mbooth)
igreen: needinfo? (egarcia)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift csi-driver-manila-operator pull 108 0 None open Bug 1960152: Use cluster Proxy when available 2021-07-28 16:37:58 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:31:56 UTC

Description Ilan Green 2021-05-13 07:54:51 UTC
Description of problem:

Openshift install fails to complete having ManilaCSI in degraded mode even though Manila service is not available at all on the underlying RH Openstack cluster.

Version-Release number of selected component (if applicable): 4.7

How reproducible:

Steps to Reproduce:
1. Install an OCP Cluster on OpenStack with UPI on a provider network
2. Access to the OpenStack API is allowed only via a Proxy

Actual results: ManilaCSI in degraded

Expected results: ManilaCSI to be disabled and the operator not in degraded state

Additional Info: the manila-csi-driver-operator pod gets the HTTP_PROXY env. variables but tries contacting the Keystone service directly without using the proxy

Comment 16 Udi Shkalim 2021-08-10 14:35:21 UTC
Verified on: 4.9.0-0.nightly-2021-07-30-014522
See Job passing attachment

Comment 21 errata-xmlrpc 2021-10-18 17:31:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.